{{
**************************************
* ctype: C-like character type methods
**************************************
}}

{
ctype.spin lifted from Peter's Format.spin file.

/*
 * @version 1.2 Dec 16, 2007
 * @author Peter Verkaik (verkaik6@zonnet.nl)
 */
}

  
PUB isxdigit(ch): YesNo
  '/**
  ' * Test if character is a hexdigit.
  ' *
  ' * @param ch Character to be tested
  ' * @return True if ch is a hexdigit
  ' */
  YesNo := ((ch =< "9") AND (ch => "0")) OR ((ch =< "F") AND (ch => "A")) OR ((ch =< "f") AND (ch => "a"))

PUB isalnum(ch): YesNo
  '/**
  ' * Test if character is printable.
  ' *
  ' * @param ch Character to be tested
  ' * @return True if ch is printable
  ' */
  YesNo := (ch < $80) and ((ch & $20) OR (ch & $40)) 

PUB isprint(ch): YesNo
  '/**
  ' * Test if character is printable.
  ' *
  ' * @param ch Character to be tested
  ' * @return True if ch is printable
  ' */
  YesNo := (ch & $20) OR (ch & $40) 

PUB isdigit(ch): YesNo
  '/**
  ' * Test if character is a digit.
  ' *
  ' * @param ch Character to be tested
  ' * @return True if ch is a digit
  ' */
  YesNo := (ch =< "9") AND (ch => "0")

PUB isspace(ch): YesNo
  '/**
  ' * Test if character is a space (0x20), tab (\t) or newline (\n).
  ' *
  ' * @param ch Character to be tested
  ' * @return True if ch is a space, tab or newline
  ' */
  YesNo := (ch == 32) OR (ch == 9) OR (ch == 10)
